
require('AnAL')

function love.load()
	print(love._version_minor)
	if love._version_minor == 8 then
		fb = love.graphics.newCanvas()
	else
		error('This will only work in LOVE 0.8.0 and up.')
	end

	bg = love.graphics.newImage('freeflyer_nasa.jpg')

	local img  = love.graphics.newImage("explosion17.png")
	cursor = newAnimation(img, 64, 64, 0.1, 0)
	cursor.x, cursor.y = 0, 0
end

function love.update(dt)
	cursor:update(dt)
	cursor.x, cursor.y = love.mouse.getPosition()
end

function love.draw()
	love.graphics.draw(bg, 0, 0)
	love.graphics.setCanvas(fb)
	love.graphics.setBlendMode('subtractive')
	love.graphics.setColor(0,0,0, 50)
	love.graphics.rectangle('fill', 0,0, 800, 600)
	love.graphics.setColor(255, 255, 255)
	love.graphics.setBlendMode('alpha')
	cursor:draw(cursor.x, cursor.y)
	love.graphics.setCanvas()
	love.graphics.draw(fb, 0, 0)
end
